edu.ucsb.nceas.metacat.admin.upgrade.dataone

## Class GenerateORE

- java.lang.Object
- - edu.ucsb.nceas.metacat.admin.upgrade.dataone.GenerateORE

- All Implemented Interfaces:
    UpgradeUtilityInterface

      public class GenerateORE
      extends java.lang.Object
      implements UpgradeUtilityInterface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateORE()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<org.dataone.service.types.v1.Identifier>` | `getAllOREpids(java.lang.String mnBaseUrl)` Retrieves a list of all ORE objects on the given MN
    `int` | `getServerLocation()`
    `static void` | `main(java.lang.String[] ags)`
    `void` | `setServerLocation(int serverLocation)`
    `static void` | `updateOREdateFormat(java.lang.String mnBaseUrl)` Need to update the existing ORE maps to have correct dateTime serializations see: https://redmine.dataone.org/issues/3046
    `static void` | `updateOREs(java.util.List<org.dataone.service.types.v1.Identifier> orePids, java.lang.String pidSuffix, java.lang.String mnBaseUrl)` Updates the given OREs by regenerating and reserializing the RDF using the updated foresite library Only non-obsolete, non-archived ORE objects are updated and their SystemMetadata is based on the original version.
    `boolean` | `upgrade()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateORE

          public GenerateORE()

  - ### Method Detail

    - #### upgrade

          public boolean upgrade()
                          throws AdminException

      Specified by:
        `upgrade` in interface `UpgradeUtilityInterface`
      Throws:
        `AdminException`

    - #### getServerLocation

          public int getServerLocation()

    - #### setServerLocation

          public void setServerLocation(int serverLocation)

    - #### updateOREdateFormat

          public static void updateOREdateFormat(java.lang.String mnBaseUrl)

      Need to update the existing ORE maps to have correct dateTime serializations see: https://redmine.dataone.org/issues/3046
      Parameters:
        `mnBaseUrl` -

    - #### getAllOREpids

          public static java.util.List<org.dataone.service.types.v1.Identifier> getAllOREpids(java.lang.String mnBaseUrl)

      Retrieves a list of all ORE objects on the given MN
      Parameters:
        `mnBaseUrl` -
      Returns:

    - #### updateOREs

          public static void updateOREs(java.util.List<org.dataone.service.types.v1.Identifier> orePids,
                                        java.lang.String pidSuffix,
                                        java.lang.String mnBaseUrl)

      Updates the given OREs by regenerating and reserializing the RDF using the updated foresite library Only non-obsolete, non-archived ORE objects are updated and their SystemMetadata is based on the original version. see: https://redmine.dataone.org/issues/3046
      Parameters:
        `orePids` -
        `pidSuffix` -
        `mnBaseUrl` -

    - #### main

          public static void main(java.lang.String[] ags)

Copyright © 2023 Regents of the University of California. All Rights Reserved.